Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class CBSSFaultType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.CBSSFaultType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class CBSSFaultType

extends Object
implements Serializable

Java class for CBSSFaultType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CBSSFaultType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InformationCustomer" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCustomerType" minOccurs="0"/>
             <element name="InformationCBSS" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCBSSType"/>
             <element name="Detail" type="{urn:be:fgov:ehealth:rn:commons:business:v1}MessageType" maxOccurs="30"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CBSSFaultType()`

Method Summary
`List<Message>` | `getDetails()` Gets the value of the details property.
`InformationCBSSType` | `getInformationCBSS()` Gets the value of the informationCBSS property.
`InformationCustomerType` | `getInformationCustomer()` Gets the value of the informationCustomer property.
`void` | `setInformationCBSS(InformationCBSSType value)` Sets the value of the informationCBSS property.
`void` | `setInformationCustomer(InformationCustomerType value)` Sets the value of the informationCustomer property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CBSSFaultType

    public CBSSFaultType()

Method Detail

### getInformationCustomer

    public InformationCustomerType getInformationCustomer()

  Gets the value of the informationCustomer property.

  Returns:
    possible object is `InformationCustomerType`

### setInformationCustomer

    public void setInformationCustomer(InformationCustomerType value)

  Sets the value of the informationCustomer property.

  Parameters:
    `value` - allowed object is `InformationCustomerType`

### getInformationCBSS

    public InformationCBSSType getInformationCBSS()

  Gets the value of the informationCBSS property.

  Returns:
    possible object is `InformationCBSSType`

### setInformationCBSS

    public void setInformationCBSS(InformationCBSSType value)

  Sets the value of the informationCBSS property.

  Parameters:
    `value` - allowed object is `InformationCBSSType`

### getDetails

    public List<Message> getDetails()

  Gets the value of the details property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the details property.

  For example, to add a new item, do as follows:

          getDetails().add(newItem);

  Objects of the following type(s) are allowed in the list `Message`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.